# Server2Server

### **Deposit with card information (Server2Server)**

{% stepper %}
{% step %}

#### Create a deposit request to our PCI endpoint

The deposit request must include the **`credit_card[]`** object containing all the card details.

Note that the default response of this endpoint in synchronous.

{% tabs %}
{% tab title="Example request" %}

<pre class="language-javascript"><code class="lang-javascript">curl -L \
  --request POST \
<strong>  --url 'https://cc-api-stg.onekeypayments.com/v3/deposits' \
</strong>  --header 'Content-Type: application/json' \
  --header 'X-Date: 2025-07-15T12:57:14.936Z' \
  --header 'X-Login: text' \
  --header 'Authorization: text' \
  --data '{
    "invoice_id": "800000001",
    "amount": 1000,
    "country": "BR",
    "currency": "BRL",
    "payer": {
      "id": "11111",
      "document": "84932568207",
      "document_type": "CPF",
      "email": "johnSmith12@hotmail.com",
      "first_name": "John",
      "last_name": "Smith"
    },
<strong>    "credit_card": {
</strong><strong>      "cvv": "123",
</strong><strong>      "number": "4111111111111111",
</strong><strong>      "expiration_month": "10",
</strong><strong>      "expiration_year": "25",
</strong><strong>      "holder_name": "JOHN SMITH"
</strong>    },
    "client_ip": "123.123.123.123"
  }'
</code></pre>

{% endtab %}

{% tab title="Example response" %}

```json
{
  "deposit_id": 300604089,
  "user_id": "80000001",
  "merchant_invoice_id": "800000001",
  "payment_info": {
    "type": "CREDIT_CARD",
    "result": "SUCCESS",
    "payment_method": "VI",
    "payment_method_name": "Visa",
    "amount": 1000,
    "currency": "BRL",
    "created_at": "2025-07-15T12:57:14.936Z"
  }
}
```

{% endtab %}
{% endtabs %}
{% endstep %}

{% step %}

#### Retrieve the Deposit final status

Even though that this endpoint is mostly synchronous, we may eventually send webhooks to notify changes within a deposit.&#x20;

These webhook notifications contain the **`deposit_id`** for you to retrieve the status.

```json
{
  "deposit_id": 300604089
}
```

{% hint style="info" %}

### For more information on this point visit <a href="/pages/4J1W8bBUsf3m6C60jdyS" class="button primary" data-icon="message-medical">Notifications</a>.

{% endhint %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.onekeypayments.com/guides/deposits/create-deposits/credit-cards/basic-deposits/server2server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
